# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   Converts C++ to LaTeX
Name:      cpp2latex
Version:   2.1
Release:   1
Copyright: GPL
Vendor:    Arnold Krille <arnold@arnoldarts.de>
Url:       http://www.arnoldarts.de/cpp2latex-2.1.tar.gz

Packager:  Arnold Krille <arnold@arnoldarts.de>
Group:     others
Source:    cpp2latex-2.1.tar.gz
BuildRoot: /tmp/rpm

%description
A little Tool to convert C++ programm-code to LaTeX-files.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.cpp2latex
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.cpp2latex
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.cpp2latex

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/cpp2latex
rm -rf ../file.list.cpp2latex


%files -f ../file.list.cpp2latex
